Subject: bug#4592: Bug in built-in function substitute-in-file-name

From: Lennart Borgman <[email-masked]>
Date: Sat, 3 Oct 2009 21:18:50 +0200

Why do you do that instead of upgrade to Emacs 23?

On Sat, Oct 3, 2009 at 9:13 AM, Mosur Mohan <[email-masked]> wrote:
> I was afraid you were gonna say that... :-) Unfortunately I haven't
> been able to pin down the exact recipe; in the "good" session, I'm
> still chugging along and the error hasn't occurred yet.
>
> Thanks for your help anyway!  If I figure out the recipe to trigger
> this behavior, I will get in touch with you again.
> --
> Mohan
>
> On Fri, Oct 2, 2009 at 5:15 PM, Glenn Morris <[email-masked]> wrote:
>> Mosur Mohan wrote:
>>
>>> I am running Emacs version 21.3 on a Linux x86_64 machine.
>> [...]
>>> After running for a while, I notice that filename completion starts
>>> giving errors.  At this point, I re-try the above experiment:
>>>     (substitute-in-file-name "/~/")
>>> But now, I get:
>>>     "/~/"
>>
>> Unfortunately, this seems a rather obscure problem, and Emacs 21 is
>> quite old, so you are unlikely to get much help unless you can give a
>> simple recipe showing how to get into this state (starting from emacs
>> -q --no-site-file). In any case, I would recommend upgrading to Emacs 23.
>>
>
>
>
>